%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:        Raptor RDF Parser Toolkit for Redland
Name:           raptor2
Version:        2.0.16
Release:        %mkrel 2
License:        GPLv2 LGPLv2
Group:          Development/Other
URL:            https://librdf.org/raptor/
Source0:        https://download.librdf.org/source/%{name}-%{version}.tar.gz
# https://github.com/dajobe/raptor/pull/58
Patch0:         raptor-libxml2-2.11-support.patch

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  icu-devel

Obsoletes:      raptor < 1.4.21-17

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING COPYING.LIB LICENSE.txt
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

Obsoletes:      %{_lib}raptor1 < 1.4.21-17

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/libraptor2.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

Obsoletes:      %{_lib}raptor-devel < 1.4.21-17

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_includedir}/raptor2/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --disable-static --with-icu-config=%{_bindir}/icu-config
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete


%changelog
* Tue Oct 15 2024 daviddavid <daviddavid> 2.0.16-2.mga10
+ Revision: 2107102
- obsoletes no more needed raptor1

* Sun Dec 10 2023 daviddavid <daviddavid> 2.0.16-1.mga10
+ Revision: 2016759
- new version: 2.0.16
- remove merged upstream patches

* Thu Sep 28 2023 tv <tv> 2.0.15-24.mga10
+ Revision: 1992023
- Rebuild for icu-73

* Sat Jan 07 2023 squidf <squidf> 2.0.15-23.mga9
+ Revision: 1931165
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 2.0.15-22.mga9
+ Revision: 1864895
- rebuild for icu 71.1

* Wed Mar 23 2022 umeabot <umeabot> 2.0.15-21.mga9
+ Revision: 1821959
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 2.0.15-20.mga9
+ Revision: 1738967
- rebuild for icu

* Mon Jan 11 2021 daviddavid <daviddavid> 2.0.15-19.mga8
+ Revision: 1671046
- remove wrong patch for CVE-2020-25713 added in r1647556

* Mon Jan 11 2021 daviddavid <daviddavid> 2.0.15-18.mga8
+ Revision: 1671036
- add patch to fix CVE-2020-25713 (malformed input file can lead to a segfault)

* Mon Nov 30 2020 luigiwalser <luigiwalser> 2.0.15-17.mga8
+ Revision: 1650925
- rebuild for icu

* Thu Nov 19 2020 ns80 <ns80> 2.0.15-16.mga8
+ Revision: 1647556
- add upstream patch for CVE-2020-25713 (mga#27605)

* Wed Jul 01 2020 wally <wally> 2.0.15-15.mga8
+ Revision: 1601061
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 2.0.15-14.mga8
+ Revision: 1564498
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.15-13.mga8
+ Revision: 1534618
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 2.0.15-12.mga8
+ Revision: 1449459
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.0.15-11.mga7
+ Revision: 1346114
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 2.0.15-10.mga7
+ Revision: 1300779
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 2.0.15-9.mga7
+ Revision: 1252973
- rebuild for new libicu

* Fri Dec 29 2017 wally <wally> 2.0.15-8.mga7
+ Revision: 1187010
- rebuild for new icu

* Thu Jun 08 2017 luigiwalser <luigiwalser> 2.0.15-7.mga6
+ Revision: 1107269
- add upstream patch to fix two heap overflows

* Sat Mar 25 2017 wally <wally> 2.0.15-6.mga6
+ Revision: 1094767
- move gtk-doc files to devel pkg

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 2.0.15-5.mga6
+ Revision: 1092805
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 2.0.15-4.mga6
+ Revision: 1014926
- Rebuild for new ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.0.15-3.mga6
+ Revision: 917921
- rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 2.0.15-2.mga6
+ Revision: 856809
- rebuild for icu 55

* Tue Nov 04 2014 luigiwalser <luigiwalser> 2.0.15-1.mga5
+ Revision: 795515
- 2.0.15

* Wed Oct 15 2014 umeabot <umeabot> 2.0.14-3.mga5
+ Revision: 747198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.14-2.mga5
+ Revision: 688613
- Mageia 5 Mass Rebuild

* Fri May 09 2014 luigiwalser <luigiwalser> 2.0.14-1.mga5
+ Revision: 621626
- 2.0.14

* Sat Apr 05 2014 wally <wally> 2.0.13-2.mga5
+ Revision: 611888
- rebuild for new icu

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2.0.13-1.mga5
+ Revision: 591461
- 2.0.13

* Mon Oct 21 2013 umeabot <umeabot> 2.0.10-3.mga4
+ Revision: 537316
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 2.0.10-2.mga4
+ Revision: 486801
- rebuild for icu 52

* Mon Sep 02 2013 luigiwalser <luigiwalser> 2.0.10-1.mga4
+ Revision: 474187
- 2.0.10

* Sun May 26 2013 fwang <fwang> 2.0.9-1.mga4
+ Revision: 428007
- new version 2.0.9

* Sun May 26 2013 fwang <fwang> 2.0.8-7.mga4
+ Revision: 427978
- rebuild for new icu

* Thu Jan 31 2013 luigiwalser <luigiwalser> 2.0.8-6.mga3
+ Revision: 393830
- rebuild for icu

* Sun Jan 13 2013 umeabot <umeabot> 2.0.8-5.mga3
+ Revision: 380193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 fwang <fwang> 2.0.8-4.mga3
+ Revision: 318592
- rebuild for new icu

* Fri Nov 09 2012 fwang <fwang> 2.0.8-3.mga3
+ Revision: 316658
- drop old patch

* Tue Nov 06 2012 fwang <fwang> 2.0.8-2.mga3
+ Revision: 314736
- rebuild for new icu

* Fri Jun 29 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 264977
- new version 2.0.8

* Tue May 29 2012 ovitters <ovitters> 2.0.7-2.mga3
+ Revision: 249443
- rebuild due to new libicu

* Sat Mar 24 2012 fwang <fwang> 2.0.7-1.mga2
+ Revision: 226006
- specify icu-config path
- new version 2.0.7

* Thu Dec 01 2011 fwang <fwang> 2.0.6-1.mga2
+ Revision: 174694
- new version 2.0.6

* Sat Nov 19 2011 fwang <fwang> 2.0.5-1.mga2
+ Revision: 169377
- update file list
- update file list
- new version 2.0.5
+ mikala <mikala>
- Use pkgconfig() for BR
- remove %%defattr()
- fix license tag
- fix rpmlint warning regarding tabs & space
+ ze <ze>
- version 2.0.4
- avoid useless macros
- list files for a proper uninstall
- arrange spec

* Sat Jul 16 2011 dmorgan <dmorgan> 2.0.3-2.mga2
+ Revision: 124570
- Do not ship la filese

* Fri Jul 15 2011 kharec <kharec> 2.0.3-1.mga2
+ Revision: 124529
- fix file list
- imported package raptor2

